*+
*+
*+    Source Module => D:\SRC\CLICK\FILNPATH.PRG
*+
*+
*+    Functions: Function fileinpath()
*+
*+
*+

#include "COMMON.CH"

*+
*+
*+    Function fileinpath()
*+
*+    Called from ( functrak.prg )   1 - procedure func_text()
*+                ( readlnk.prg  )   2 - function readlnk()
*+
*+
*+
function fileinpath( filename, cEnviron )

local cDir
local foundit := .f.
local cPath
local x       := 1  // Initialise x
local y

// Modifications by Peter Townsend, 12/13/1998

// This will return the full path of a file name if it is in the environment
// you may specify the environment variable to other than the default
// of PATH, so you can get LIB, OBJ, or any other pathlist.

default cEnviron to 'PATH'

cPath := getenv( upper( cEnviron ) )
y     := numtoken( cPath, ';' )

// Change FOR to DO WHILE
do while ( !foundit ) .and. ( x <= y )
   cDir    := alltrim( token( cPath, ';', x ) )
   cDir    += iif( right( cDir, 1 ) <> '\', '\', '' )
   foundit := file( cDir + filename )
   x ++             // Increment x
enddo               // Change NEXT to ENDDO

return if( foundit, cDir + filename, filename )

*+ EOF: FILNPATH.PRG
