*+
*+
*+    Source Module => D:\SRC\CLICK\PRB_AMPM.PRG
*+
*+
*+    Functions: Function AM_PM()
*+
*+
*+

#include "COMMON.CH"

*+
*+
*+    Function AM_PM()
*+
*+    Called from ( click.prg    )   1 - procedure click()
*+                ( functrak.prg )   3 - procedure func_text()
*+
*+
*+
function AM_PM( cTime, lShowSecs )

// my own ampm function with defaults

local nHour
local cAmPm := ' am'

default lShowSecs to .f.
default cTime to time()

nHour := val( left( cTime, 2 ) )

if nHour > 11
   cAmPm := ' pm'
   nHour -= 12
endif

if nHour = 0
   nHour := 12
endif

return str( nHour, 2 ) + substr( cTime, 3, iif( lShowSecs, 6, 3 ) ) + cAmPm

*+ EOF: PRB_AMPM.PRG
