*+
*+
*+    Source Module => D:\SRC\CLICK\PRB_PROP.PRG
*+
*+
*+    Functions: Function proper()
*+
*+
*+

*+
*+
*+    Function proper()
*+
*+    Called from ( click.prg    )   4 - function lineparse()
*+
*+
*+
function proper( cString )

// Syntax: PROPER ( <expC> )
// Return: capitalizes first letter of each word, all other go to lower case

local nSrcLen   := len( cString )
local x
local lSepFlag  := .t.
local cThisChar
local lFound

cString := lower( cString )

for x := 1 to nSrcLen
   cThisChar := substr( cString, x, 1 )
   lFound    := cThisChar $ "abcdefghijklmnopqrstuvwxyz0123456789'"
   if lFound .and. lSepFlag
      cString := stuff( cString, x, 1, upper( cThisChar ) )
   endif
   lSepFlag := !lFound
next

return cString

*+ EOF: PRB_PROP.PRG
